#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkholidays )
tde_import( korganizer )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/korganizer
  ${CMAKE_SOURCE_DIR}/korganizer/interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    korganizerplugin.desktop todoplugin.desktop journalplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact )

install( FILES
    kcmkorgsummary.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libkontact_korganizerplugin (module) ######

tde_add_kpart( libkontact_korganizerplugin AUTOMOC
  SOURCES
    korganizerplugin.cpp summarywidget.cpp
    ${CMAKE_SOURCE_DIR}/korganizer/kcalendariface.stub
    ${CMAKE_SOURCE_DIR}/korganizer/korganizeriface.stub
  LINK common-static kpinterfaces-shared korganizer_calendar-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkontact_todoplugin (module) ############

tde_add_kpart( libkontact_todoplugin AUTOMOC
  SOURCES
    todoplugin.cpp todosummarywidget.cpp
    ${CMAKE_SOURCE_DIR}/korganizer/kcalendariface.stub
    ${CMAKE_SOURCE_DIR}/korganizer/korganizeriface.stub
  LINK common-static kpinterfaces-shared korganizer-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkontact_journalplugin (module) #########

tde_add_kpart( libkontact_journalplugin AUTOMOC
  SOURCES
    journalplugin.cpp
    ${CMAKE_SOURCE_DIR}/korganizer/kcalendariface.stub
  LINK common-static kpinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_korgsummary (module) ##################

tde_add_kpart( kcm_korgsummary AUTOMOC
  SOURCES kcmkorgsummary.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### common (static) ###########################

tde_add_library( common STATIC_PIC
  SOURCES korg_uniqueapp.cpp
)
